#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin>>t;

    while(t>0)
    {
        int n;
        vector<int> a(n);
        vector<int> b(n);
        vector<int> c(n);

        for(int i=0; i<n; i++)
        {
            cin >> a[i] >> b[i] >> c[i];
        }
        int max=0;
        for(int i=0; i<2*n; i++)
        {
            int tmp;
            for(int j=0; j<n; j++)
            {
                if(a[j]==i || b[j]==i)
                {
                    tmp+=c[j];
                }
            }
            if (max<tmp)
            {
                max = tmp;
            }
        }
        cout << max << "\n";
        t--;
    }

}
